<?php
require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
    $this->Image('imagenes/escudo.jpg',20,10,15,20);
    $this->SetFont('Arial','B',11);
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$institucion=utf8_decode($registro["nombreie"]);
		$departamento=$registro["departamentoie"];
		$municipio=$registro["municipioie"];
		$dane=$registro["daneie"];
		$nit=$registro["nitie"];
		$resolucion=utf8_decode($registro["resolucionie"]);
		$rector=utf8_decode($registro["rectorie"]);
	}
    $this->Cell(200,0,$institucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','B',10);
    $this->Cell(200,0,$municipio." - ".$departamento,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','',7);
    $this->Cell(200,0,"DANE: ".$dane."  -  NIT: ".$nit."  -  RESOLUCION: ".$resolucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','I',10);
    $nomsede= $_GET['nomsede'];
    $this->Cell(200,0,$nomsede,0,1,'C');
    $this->Ln(4);
}

// Pie de página
function Footer()
{
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$nemo=utf8_decode($registro["nemoie"]);
		$direccion=utf8_decode($registro["direccionie"]);
		$telefono=$registro["telefonoie"];
		$tiporeporte=$registro["tiporeporte"];
	}
    // Posición: a 1 cm del final
    $this->SetY(-10);
    // Helvetica italic 8
    $this->SetFont('Helvetica','I',8);
    // Número de página
    $this->Cell(0,10,$nemo.' - '.$direccion.'  -  Tel: '.$telefono,0,0,'L');
    $this->Cell(0,10,'www.sised.com.co  -  '.date("d/M/Y"),0,0,'R');
}
}

// Creación del objeto de la clase heredada

$bdie= $_GET['bdie'];
$idi= $_GET['idi'];
include("../php/conexion-infogeneral.php");
$DatosInstitucion = mysql_query("Select alectivo,tipoplanillaparanotas From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
if(mysql_num_rows($DatosInstitucion)>0) {
	$registro=mysql_fetch_array($DatosInstitucion);
	$lectivo=$registro["alectivo"];
	$tipoplanillaparanotas=$registro["tipoplanillaparanotas"];
}
$danesede=$_GET['danesede'];
$periodo= $_GET['periodo'];
$grado=$_POST['gradoest'];
$grupo=$_POST['grupoest'];
$idasignatura=$_POST['asignaturasest'];
$tipodocumento=$_POST['tipodocumento'];

$contador="0";
$asignatura="Lista/Planilla General";
include("../php/conexion-bdie.php");
if ($idasignatura!="00") {
	$regasignatura= mysql_query("Select asignatura From datos_asignaturas Where idasignatura='$idasignatura'",$db_basededatosie);
	if(mysql_num_rows($regasignatura)>0) {
		$registro=mysql_fetch_array($regasignatura);
		$asignatura=$registro["asignatura"];
	}
}
$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$grupo' And estado='1'",$db_basededatosie);
while ($FilaMatriculado=mysql_fetch_array($regmatriculados)){
	$idestudiantematriculado=$FilaMatriculado["nuid"];
	$regestudiantes=mysql_query("Select nombres,apellidos,documento,tipodocumento,fechanacimiento,genero,telefono,papa,movilpapa,mama,movilmama,direccion From datos_estudiantes Where nuid='$idestudiantematriculado'",$db_basededatosie);
	if(mysql_num_rows($regestudiantes)>0){
		$FilaEstudiante=mysql_fetch_array($regestudiantes);
		$estudiantesdesordenados[$contador][0]=utf8_decode($FilaEstudiante["apellidos"])." ".utf8_decode($FilaEstudiante["nombres"]);
		$estudiantesdesordenados[$contador][1]=$idestudiantematriculado;
		$estudiantesdesordenados[$contador][2]=$FilaEstudiante["tipodocumento"].": ".$FilaEstudiante["documento"];
		$estudiantesdesordenados[$contador][3]=$FilaEstudiante["fechanacimiento"];
		$estudiantesdesordenados[$contador][4]=$FilaEstudiante["genero"];
		$estudiantesdesordenados[$contador][5]=$FilaEstudiante["telefono"];
		$estudiantesdesordenados[$contador][6]=$FilaEstudiante["papa"]." - ".$FilaEstudiante["movilpapa"];
		$estudiantesdesordenados[$contador][7]=$FilaEstudiante["mama"]." - ".$FilaEstudiante["movilmama"];
		$estudiantesdesordenados[$contador][8]=$FilaEstudiante["direccion"];
		$contador=$contador+1;
	}
}
// Ordenar el array ... 
if ($estudiantesdesordenados) {
	sort($estudiantesdesordenados);
	
	if ($tipodocumento=="01") {
		$pdf = new PDF('P','mm','letter');
		$pdf->AddPage();
		$pdf->SetMargins(20, 1, 10); // Margen izquierdo de 20 y se maneja un ancho de 180 para el contenido
		$tamañoletra=$_POST['tamanoletra'];
		$tipoletra=$_POST['tipoletra'];
		$pdf->SetFont('Arial','B',12);$pdf->Cell(200,5,'LISTA DE ESTUDIANTES',0,1,'C');$pdf->Ln(2);
		$pdf->SetFont($tipoletra,'B',$tamañoletra+1);$pdf->Ln(2);
		$pdf->Cell(180,7,'Asigantura: '.$asignatura,1,1,'C');$pdf->SetFont($tipoletra,'B',$tamañoletra);
		$pdf->Cell(100,5,'',1,0,'L');$pdf->Cell(40,5,'Grado/Curso: '.substr($grupo,15,2).' - '.substr($grupo,17,1),1,0,'C');$pdf->Cell(40,5,'Año Lectivo: '.$lectivo,1,1,'C');
		$pdf->Cell(10,5,'No.:',1,0,'C'); $pdf->Cell(80,5,'ESTUDIANTE',1,0,'C'); $pdf->Cell(90,5,'',1,1,'C');
		$pdf->SetFont($tipoletra,'',$tamañoletra);
		for ($i=0;$i<$contador;$i++) {
			$nombreestudiante=$estudiantesdesordenados[$i][0];			
			$pdf->Cell(10,$tamañoletra-4,$i+1,1,0,'C');
			$pdf->Cell(80,$tamañoletra-4,$nombreestudiante,1,0,'L');
			$pdf->Cell(90,$tamañoletra-4,'',1,1,'C');
		}
	}
	if ($tipodocumento=="02") {
		$pdf = new PDF('P','mm','letter');
		$pdf->AddPage();
		$pdf->SetMargins(20, 1, 10); // Margen izquierdo de 20 y se maneja un ancho de 180 para el contenido
		$tamañoletra=$_POST['tamanoletra'];
		$tipoletra=$_POST['tipoletra'];
		$pdf->SetFont('Arial','B',12);$pdf->Cell(200,5,'LISTA DE ESTUDIANTES',0,1,'C');$pdf->Ln(2);
		$pdf->SetFont($tipoletra,'B',$tamañoletra+1);$pdf->Ln(2);
		$pdf->Cell(180,7,'Asigantura: '.$asignatura,1,1,'C');$pdf->SetFont($tipoletra,'B',$tamañoletra);
		$pdf->Cell(100,5,'',1,0,'L');$pdf->Cell(40,5,'Grado/Curso: '.substr($grupo,15,2).' - '.substr($grupo,17,1),1,0,'C');$pdf->Cell(40,5,'Año Lectivo: '.$lectivo,1,1,'C');
		$pdf->Cell(10,5,'No.:',1,0,'C'); $pdf->Cell(80,5,'ESTUDIANTE',1,0,'C'); $pdf->Cell(20,5,'',1,0,'C'); $pdf->Cell(70,5,'',1,1,'C');
		$pdf->SetFont($tipoletra,'',$tamañoletra);
		for ($i=0;$i<$contador;$i++) {
			$nombreestudiante=$estudiantesdesordenados[$i][0];			
			$pdf->Cell(10,$tamañoletra-4,$i+1,1,0,'C');
			$pdf->Cell(80,$tamañoletra-4,$nombreestudiante,1,0,'L');
			$pdf->Cell(20,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(70,$tamañoletra-4,'',1,1,'C');
		}
	}
	if ($tipodocumento=="03") {
		$pdf = new PDF('P','mm','letter');
		$pdf->AddPage();
		$pdf->SetMargins(20, 1, 10); // Margen izquierdo de 20 y se maneja un ancho de 180 para el contenido
		$tamañoletra=$_POST['tamanoletra'];
		$tipoletra=$_POST['tipoletra'];
		$pdf->SetFont('Arial','B',12);$pdf->Cell(200,5,'LISTA DE ESTUDIANTES',0,1,'C');$pdf->Ln(2);
		$pdf->SetFont($tipoletra,'B',$tamañoletra+1);$pdf->Ln(2);
		$pdf->Cell(180,7,'Asigantura: '.$asignatura,1,1,'C');$pdf->SetFont($tipoletra,'B',$tamañoletra);
		$pdf->Cell(100,5,'',1,0,'L');$pdf->Cell(40,5,'Grado/Curso: '.substr($grupo,15,2).' - '.substr($grupo,17,1),1,0,'C');$pdf->Cell(40,5,'Año Lectivo: '.$lectivo,1,1,'C');
		$pdf->Cell(10,5,'No.:',1,0,'C'); $pdf->Cell(80,5,'ESTUDIANTE',1,0,'C'); $pdf->Cell(15,5,'',1,0,'C'); $pdf->Cell(15,5,'',1,0,'C'); $pdf->Cell(60,5,'',1,1,'C');
		$pdf->SetFont($tipoletra,'',$tamañoletra);
		for ($i=0;$i<$contador;$i++) {
			$nombreestudiante=$estudiantesdesordenados[$i][0];			
			$pdf->Cell(10,$tamañoletra-4,$i+1,1,0,'C');
			$pdf->Cell(80,$tamañoletra-4,$nombreestudiante,1,0,'L');
			$pdf->Cell(15,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(15,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(60,$tamañoletra-4,'',1,1,'C');
		}
	}
	if ($tipodocumento=="04") {
		$pdf = new PDF('P','mm','letter');
		$pdf->AddPage();
		$pdf->SetMargins(20, 1, 10); // Margen izquierdo de 20 y se maneja un ancho de 180 para el contenido
		$tamañoletra=$_POST['tamanoletra'];
		$tipoletra=$_POST['tipoletra'];
		$pdf->SetFont('Arial','B',12);$pdf->Cell(200,5,'LISTA DE ESTUDIANTES',0,1,'C');$pdf->Ln(2);
		$pdf->SetFont($tipoletra,'B',$tamañoletra+1);$pdf->Ln(2);
		$pdf->Cell(180,7,'Asigantura: '.$asignatura,1,1,'C');$pdf->SetFont($tipoletra,'B',$tamañoletra);
		$pdf->Cell(100,5,'',1,0,'L');$pdf->Cell(40,5,'Grado/Curso: '.substr($grupo,15,2).' - '.substr($grupo,17,1),1,0,'C');$pdf->Cell(40,5,'Año Lectivo: '.$lectivo,1,1,'C');
		$pdf->Cell(10,5,'No.:',1,0,'C'); $pdf->Cell(80,5,'ESTUDIANTE',1,0,'C'); $pdf->Cell(15,5,'',1,0,'C'); $pdf->Cell(15,5,'',1,0,'C'); $pdf->Cell(15,5,'',1,0,'C'); $pdf->Cell(45,5,'',1,1,'C');
		$pdf->SetFont($tipoletra,'',$tamañoletra);
		for ($i=0;$i<$contador;$i++) {
			$nombreestudiante=$estudiantesdesordenados[$i][0];			
			$pdf->Cell(10,$tamañoletra-4,$i+1,1,0,'C');
			$pdf->Cell(80,$tamañoletra-4,$nombreestudiante,1,0,'L');
			$pdf->Cell(15,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(15,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(15,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(45,$tamañoletra-4,'',1,1,'C');
		}
	}
	if ($tipodocumento=="05") {
		$pdf = new PDF('P','mm','letter');
		$pdf->AddPage();
		$pdf->SetMargins(20, 1, 10); // Margen izquierdo de 20 y se maneja un ancho de 180 para el contenido
		$tamañoletra=$_POST['tamanoletra'];
		$tipoletra=$_POST['tipoletra'];
		$pdf->SetFont('Arial','B',12);$pdf->Cell(200,5,'LISTA DE ESTUDIANTES',0,1,'C');$pdf->Ln(2);
		$pdf->SetFont($tipoletra,'B',$tamañoletra+1);$pdf->Ln(2);
		$pdf->Cell(180,7,'Asigantura: '.$asignatura,1,1,'C');$pdf->SetFont($tipoletra,'B',$tamañoletra);
		$pdf->Cell(100,5,'',1,0,'L');$pdf->Cell(40,5,'Grado/Curso: '.substr($grupo,15,2).' - '.substr($grupo,17,1),1,0,'C');$pdf->Cell(40,5,'Año Lectivo: '.$lectivo,1,1,'C');
		$pdf->Cell(10,5,'No.:',1,0,'C'); $pdf->Cell(80,5,'ESTUDIANTE',1,0,'C'); $pdf->Cell(15,5,'',1,0,'C'); $pdf->Cell(15,5,'',1,0,'C'); $pdf->Cell(15,5,'',1,0,'C'); $pdf->Cell(15,5,'',1,0,'C'); $pdf->Cell(30,5,'',1,1,'C');
		$pdf->SetFont($tipoletra,'',$tamañoletra);
		for ($i=0;$i<$contador;$i++) {
			$nombreestudiante=$estudiantesdesordenados[$i][0];			
			$pdf->Cell(10,$tamañoletra-4,$i+1,1,0,'C');
			$pdf->Cell(80,$tamañoletra-4,$nombreestudiante,1,0,'L');
			$pdf->Cell(15,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(15,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(15,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(15,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(30,$tamañoletra-4,'',1,1,'C');
		}
	}
	if ($tipodocumento=="10") {
		$pdf = new PDF('P','mm','letter');
		$pdf->AddPage();
		$pdf->SetMargins(20, 1, 10); // Margen izquierdo de 20 y se maneja un ancho de 180 para el contenido
		$tamañoletra=$_POST['tamanoletra'];
		$tipoletra=$_POST['tipoletra'];
		$pdf->SetFont('Arial','B',12);$pdf->Cell(200,5,'LISTA DE ESTUDIANTES',0,1,'C');$pdf->Ln(2);
		$pdf->SetFont($tipoletra,'B',$tamañoletra+1);$pdf->Ln(2);
		$pdf->Cell(180,7,'Asigantura: '.$asignatura,1,1,'C');$pdf->SetFont($tipoletra,'B',$tamañoletra);
		$pdf->Cell(100,5,'',1,0,'L');$pdf->Cell(40,5,'Grado/Curso: '.substr($grupo,15,2).' - '.substr($grupo,17,1),1,0,'C');$pdf->Cell(40,5,'Año Lectivo: '.$lectivo,1,1,'C');
		$pdf->Cell(10,5,'No.:',1,0,'C'); $pdf->Cell(70,5,'ESTUDIANTE',1,0,'C'); $pdf->Cell(10,5,'',1,0,'C'); $pdf->Cell(10,5,'',1,0,'C'); $pdf->Cell(10,5,'',1,0,'C'); $pdf->Cell(10,5,'',1,0,'C'); $pdf->Cell(10,5,'',1,0,'C'); $pdf->Cell(10,5,'',1,0,'C'); $pdf->Cell(10,5,'',1,0,'C'); $pdf->Cell(10,5,'',1,0,'C'); $pdf->Cell(10,5,'',1,0,'C'); $pdf->Cell(10,5,'',1,1,'C');
		$pdf->SetFont($tipoletra,'',$tamañoletra);
		for ($i=0;$i<$contador;$i++) {
			$nombreestudiante=$estudiantesdesordenados[$i][0];			
			$pdf->Cell(10,$tamañoletra-4,$i+1,1,0,'C');
			$pdf->Cell(70,$tamañoletra-4,$nombreestudiante,1,0,'L');
			$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(10,$tamañoletra-4,'',1,1,'C');
		}
	}
	if ($tipodocumento=="11") {
		$pdf = new PDF('P','mm','letter');
		$pdf->AddPage();
		$pdf->SetMargins(20, 1, 10); // Margen izquierdo de 20 y se maneja un ancho de 180 para el contenido
		$tamañoletra=$_POST['tamanoletra'];
		$tipoletra=$_POST['tipoletra'];
		$pdf->SetFont('Arial','B',12);$pdf->Cell(200,5,'LISTA DE ESTUDIANTES',0,1,'C');$pdf->Ln(2);
		$pdf->SetFont($tipoletra,'B',$tamañoletra+1);$pdf->Ln(2);
		$pdf->Cell(180,7,'Asigantura: '.$asignatura,1,1,'C');$pdf->SetFont($tipoletra,'B',$tamañoletra);
		$pdf->Cell(100,5,'',1,0,'L');$pdf->Cell(40,5,'Grado/Curso: '.substr($grupo,15,2).' - '.substr($grupo,17,1),1,0,'C');$pdf->Cell(40,5,'Año Lectivo: '.$lectivo,1,1,'C');
		$pdf->Cell(10,5,'No.:',1,0,'C'); $pdf->Cell(80,5,'ESTUDIANTE',1,0,'C'); $pdf->Cell(30,5,'No. DOCUMENTO',1,0,'C'); $pdf->Cell(15,5,'',1,0,'C'); $pdf->Cell(15,5,'',1,0,'C'); $pdf->Cell(30,5,'',1,1,'C');
		$pdf->SetFont($tipoletra,'',$tamañoletra);
		for ($i=0;$i<$contador;$i++) {
			$nombreestudiante=$estudiantesdesordenados[$i][0];			
			$documento=$estudiantesdesordenados[$i][2];
			$pdf->Cell(10,$tamañoletra-4,$i+1,1,0,'C');
			$pdf->Cell(80,$tamañoletra-4,$nombreestudiante,1,0,'L');
			$pdf->Cell(30,$tamañoletra-4,$documento,1,0,'L');
			$pdf->Cell(15,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(15,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(30,$tamañoletra-4,'',1,1,'C');
		}
	}
	if ($tipodocumento=="12") {
		$pdf = new PDF('P','mm','letter');
		$pdf->AddPage();
		$pdf->SetMargins(20, 1, 10); // Margen izquierdo de 20 y se maneja un ancho de 180 para el contenido
		$tamañoletra=$_POST['tamanoletra'];
		$tipoletra=$_POST['tipoletra'];
		$pdf->SetFont('Arial','B',12);$pdf->Cell(200,5,'LISTA DE ESTUDIANTES',0,1,'C');$pdf->Ln(2);
		$pdf->SetFont($tipoletra,'B',$tamañoletra+1);$pdf->Ln(2);
		$pdf->Cell(180,7,'Asigantura: '.$asignatura,1,1,'C');$pdf->SetFont($tipoletra,'B',$tamañoletra);
		$pdf->Cell(100,5,'',1,0,'L');$pdf->Cell(40,5,'Grado/Curso: '.substr($grupo,15,2).' - '.substr($grupo,17,1),1,0,'C');$pdf->Cell(40,5,'Año Lectivo: '.$lectivo,1,1,'C');
		$pdf->Cell(10,5,'No.:',1,0,'C'); $pdf->Cell(80,5,'ESTUDIANTE',1,0,'C'); $pdf->Cell(30,5,'No. DOCUMENTO',1,0,'C'); $pdf->Cell(30,5,'FECHA NAC',1,0,'C'); $pdf->Cell(15,5,'',1,0,'C'); $pdf->Cell(15,5,'',1,1,'C');
		$pdf->SetFont($tipoletra,'',$tamañoletra);
		for ($i=0;$i<$contador;$i++) {
			$nombreestudiante=$estudiantesdesordenados[$i][0];			
			$documento=$estudiantesdesordenados[$i][2];
			$fechanace=$estudiantesdesordenados[$i][3];
			$pdf->Cell(10,$tamañoletra-4,$i+1,1,0,'C');
			$pdf->Cell(80,$tamañoletra-4,$nombreestudiante,1,0,'L');
			$pdf->Cell(30,$tamañoletra-4,$documento,1,0,'L');
			$pdf->Cell(30,$tamañoletra-4,substr($fechanace,0,10),1,0,'C');
			$pdf->Cell(15,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(15,$tamañoletra-4,'',1,1,'C');
		}
	}
	if ($tipodocumento=="30") {
		$pdf = new PDF('L','mm','legal');
		$pdf->AddPage();
		$pdf->SetMargins(20, 1, 10); // Margen izquierdo de 20 y se maneja un ancho de 180 para el contenido
		$tamañoletra=$_POST['tamanoletra'];
		$tipoletra=$_POST['tipoletra'];
		$pdf->SetFont('Arial','B',12);$pdf->Cell(200,5,'ACTA COMISION DE EVALUACION Y SEGUIMIENTO',0,1,'C');$pdf->Ln(2);
		$pdf->SetFont($tipoletra,'B',$tamañoletra+1);$pdf->Ln(2);
		$pdf->Cell(60,5,'COMISION DE EVALUACION',1,0,'L');$pdf->Cell(40,5,'Grado/Curso: '.substr($grupo,15,2).' - '.substr($grupo,17,1),1,0,'C');$pdf->Cell(40,5,'Periodo: '.$periodo,1,0,'C');$pdf->Cell(40,5,'Año Lectivo: '.substr($lectivo,1,4),1,1,'C');
		$pdf->SetFont($tipoletra,'',$tamañoletra);$pdf->Ln(2);
		$contadorasignaturas="0";
		include("../php/conexion-bdie.php");
		$regasignaturas=mysql_query("Select asignatura,idasignatura From datos_asignaturas Where idgrado='$grado' And estado='1' order by idarea",$db_basededatosie);
		while ($FilaAsignatura=mysql_fetch_array($regasignaturas)){
			$cadena=$FilaAsignatura["asignatura"];
			$palabras=split(" ",$cadena);
			if (count($palabras)>1)
				$tituloasignaturas[$contadorasignaturas]=substr($palabras[0],0,1).'-'.substr($palabras[1],0,3);
			else
				$tituloasignaturas[$contadorasignaturas]=substr($palabras[0],0,5);
			$asignaturas[$contadorasignaturas]=$FilaAsignatura["idasignatura"];
			$contadorasignaturas=$contadorasignaturas+1;
		}
		// Titulo de la Tabla
		$pdf->Cell($tamañoletra+2,5,'No.:',1,0,'C'); $pdf->Cell($tamañoletra+77,5,'ESTUDIANTE',1,0,'C');
		for ($j=0;$j<$contadorasignaturas;$j++) {
			$pdf->Cell($tamañoletra+2,5,substr($tituloasignaturas[$j],0,5),1,0,'C');
		}
		$pdf->Ln(5);
		for ($i=0;$i<$contador;$i++) {
			$nombreestudiante=$estudiantesdesordenados[$i][0];
			$pdf->Cell($tamañoletra+2,$tamañoletra-4,$i+1,1,0,'C');
			$pdf->Cell($tamañoletra+77,$tamañoletra-4,$nombreestudiante,1,0,'L');
			for ($j=0;$j<$contadorasignaturas;$j++){	
				$pdf->Cell($tamañoletra+2,$tamañoletra-4,'',1,0,'C');
			}
			$pdf->Ln($tamañoletra-4);
		}
		$pdf->Ln(5);
		$pdf->Cell(30,5,'OBSERVACIONES',0,1,'L');$pdf->Cell(300,15,'',1,1,'C');
		$pdf->Ln(5);
		$pdf->Cell(200,5,'FIRMAS: _____________________________  _____________________________  _____________________________  _____________________________  _____________________________  _____________________________',0,1,'L');
	}
	// FICHA DE REGISTRO DE DESEMPEÑO - Manuela Beltrán
	if ($tipodocumento=="31") {
		$pdf = new PDF('L','mm','letter');
		$pdf->AddPage();
		$pdf->SetMargins(5, 1, 1); // Margen izquierdo de 20 y se maneja un ancho de 180 para el contenido
		$tamañoletra=$_POST['tamanoletra'];
		$tipoletra=$_POST['tipoletra'];$pdf->Ln(2);
		$pdf->SetFont('Arial','B',12);$pdf->Cell(250,5,'FICHA DE REGISTRO DE DESEMPEÑO DE ESTUDIANTES POR CURSO',0,1,'C');$pdf->Ln(2);
		$pdf->SetFont($tipoletra,'B',$tamañoletra+1);$pdf->Ln(2);
		$pdf->Cell(85,5,'Asignatura:',1,0,'L');$pdf->Cell(70,5,'Docente:',1,0,'L');$pdf->Cell(40,5,'Grado/Curso: '.substr($grupo,15,2).' - '.substr($grupo,17,1),1,0,'C');$pdf->Cell(30,5,'Periodo: '.$periodo,1,0,'C');$pdf->Cell(40,5,'Año Lectivo: '.substr($lectivo,1,4),1,1,'C');
		$pdf->SetFont($tipoletra,'',$tamañoletra);$pdf->Ln(2);
		// Titulo de la Tabla
		$pdf->Cell($tamañoletra+1,5,'No.:',1,0,'C'); $pdf->Cell($tamañoletra+62,5,'ESTUDIANTES',1,0,'C'); $pdf->Cell($tamañoletra+3,5,'N 1',1,0,'C'); $pdf->Cell($tamañoletra+3,5,'N 2',1,0,'C'); $pdf->Cell($tamañoletra+3,5,'N 3',1,0,'C'); $pdf->Cell($tamañoletra+3,5,'N 4',1,0,'C');
		$pdf->Cell($tamañoletra+3,5,'N 5',1,0,'C'); $pdf->Cell($tamañoletra+3,5,'N 6',1,0,'C'); $pdf->Cell($tamañoletra+3,5,'N 7',1,0,'C'); $pdf->Cell($tamañoletra+7,5,'Prom 80%',1,0,'C');
		$pdf->Cell($tamañoletra+3,5,'N 8',1,0,'C'); $pdf->Cell($tamañoletra+7,5,'5%',1,0,'C'); $pdf->Cell($tamañoletra+3,5,'N 9',1,0,'C'); $pdf->Cell($tamañoletra+7,5,'5%',1,0,'C'); $pdf->Cell($tamañoletra+3,5,'N 10',1,0,'C'); $pdf->Cell($tamañoletra+7,5,'10%',1,0,'C');  $pdf->Cell($tamañoletra+10,5,'DEFINITIVA',1,0,'C');
		$pdf->Ln(5);
		for ($i=0;$i<$contador;$i++) {
			$nombreestudiante=$estudiantesdesordenados[$i][0];
			$pdf->Cell($tamañoletra+1,$tamañoletra-4,$i+1,1,0,'C');
			$pdf->Cell($tamañoletra+62,$tamañoletra-4,$nombreestudiante,1,0,'L');
			$pdf->Cell($tamañoletra+3,$tamañoletra-4,'',1,0,'C');$pdf->Cell($tamañoletra+3,$tamañoletra-4,'',1,0,'C');$pdf->Cell($tamañoletra+3,$tamañoletra-4,'',1,0,'C');$pdf->Cell($tamañoletra+3,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell($tamañoletra+3,$tamañoletra-4,'',1,0,'C');$pdf->Cell($tamañoletra+3,$tamañoletra-4,'',1,0,'C');$pdf->Cell($tamañoletra+3,$tamañoletra-4,'',1,0,'C');$pdf->Cell($tamañoletra+7,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell($tamañoletra+3,$tamañoletra-4,'',1,0,'C');$pdf->Cell($tamañoletra+7,$tamañoletra-4,'',1,0,'C');$pdf->Cell($tamañoletra+3,$tamañoletra-4,'',1,0,'C');$pdf->Cell($tamañoletra+7,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell($tamañoletra+3,$tamañoletra-4,'',1,0,'C');$pdf->Cell($tamañoletra+7,$tamañoletra-4,'',1,0,'C');$pdf->Cell($tamañoletra+10,$tamañoletra-4,'',1,0,'C');
			$pdf->Ln($tamañoletra-4);
		}
	}
	// OBSERVADOR DEL ESTUDIANTE
	if ($tipodocumento=="32") {
		$pdf = new PDF('L','mm','legal');
		for ($i=0;$i<$contador;$i++) {
			$pdf->AddPage();
			$pdf->SetMargins(25, 10, 1); // Margen izquierdo de 5 y se maneja un ancho de 300 para el contenido margen derecho 1
			$tamañoletra=$_POST['tamanoletra'];
			$tipoletra=$_POST['tipoletra'];
			$pdf->Ln(5);
			$pdf->SetFont('Arial','',14);$pdf->Cell(330,5,'OBSERVADOR DEL ESTUDIANTE',0,1,'C');$pdf->Ln(2);
			$pdf->Ln(2);
			$pdf->SetFont($tipoletra,'B',12);
			$pdf->Cell(330,5,$estudiantesdesordenados[$i][0],1,1,'C');
			$pdf->SetFont($tipoletra,'',$tamañoletra);
			$pdf->Cell(90,4,'Doc. Identidad: '.$estudiantesdesordenados[$i][2],1,0,'L');$pdf->Cell(60,4,'Fecha Nacimiento: '.$estudiantesdesordenados[$i][3],1,0,'L');$pdf->Cell(40,4,'Genero: '.$estudiantesdesordenados[$i][4],1,0,'L');$pdf->Cell(90,4,'Grado/Curso: '.substr($grupo,15,2).' - '.substr($grupo,17,1),1,0,'L');$pdf->Cell(50,4,'Año Lectivo: '.substr($lectivo,1,4),1,1,'L');
			$pdf->Cell(90,4,'Padre: '.$estudiantesdesordenados[$i][6],1,0,'L');$pdf->Cell(90,4,'Madre: '.$estudiantesdesordenados[$i][7],1,0,'L');$pdf->Cell(80,4,'Dirección: '.$estudiantesdesordenados[$i][8],1,0,'L');$pdf->Cell(70,4,'Teléfono: '.$estudiantesdesordenados[$i][5],1,1,'L');
			$pdf->Ln(5);$pdf->SetFont($tipoletra,'B',11);
			$pdf->Cell(210,5,'COMPORTAMIENTO DEL ESTUDIANTE',1,0,'C');$pdf->Cell(120,5,'FIRMAS',1,1,'C');
			$pdf->SetFont($tipoletra,'',9);
			$pdf->Cell(30,5,'FECHA',1,0,'C');$pdf->Cell(90,5,'DESCRIPCION DEL COMPORTAMIENTO',1,0,'C');$pdf->Cell(90,5,'RECOMENDACIONES/SUGERENCIAS',1,0,'C');$pdf->Cell(40,5,'DOCENTE',1,0,'C');$pdf->Cell(40,5,'ESTUDIANTE',1,0,'C');$pdf->Cell(40,5,'ACUDIENTE',1,1,'C');
			for ($j=1;$j<=18;$j++) {
				$pdf->Cell(30,7,'',1,0,'C');$pdf->Cell(90,7,'',1,0,'C');$pdf->Cell(90,7,'',1,0,'C');$pdf->Cell(40,7,'',1,0,'C');$pdf->Cell(40,7,'',1,0,'C');$pdf->Cell(40,7,'',1,1,'C');
			}
		}			
	}
	if ($tipodocumento=="33") {
		$pdf = new PDF('P','mm','letter');
		$pdf->AddPage();
		$pdf->SetMargins(20, 1, 10); // Margen izquierdo de 20 y se maneja un ancho de 180 para el contenido
		$tamañoletra=$_POST['tamanoletra'];
		$tipoletra=$_POST['tipoletra'];
		$pdf->SetFont('Arial','B',12);$pdf->Cell(200,5,'LISTA DE ESTUDIANTES',0,1,'C');$pdf->Ln(2);
		$pdf->SetFont($tipoletra,'B',$tamañoletra+1);$pdf->Ln(2);
		$pdf->Cell(180,7,'Asigantura: '.$asignatura,1,1,'C');$pdf->SetFont($tipoletra,'B',$tamañoletra);
		$pdf->Cell(100,5,'',1,0,'L');$pdf->Cell(40,5,'Grado/Curso: '.substr($grupo,15,2).' - '.substr($grupo,17,1),1,0,'C');$pdf->Cell(40,5,'Año Lectivo: '.$lectivo,1,1,'C');
		$pdf->Cell(10,5,'No.:',1,0,'C'); $pdf->Cell(70,5,'ESTUDIANTE',1,0,'C'); $pdf->Cell(10,5,'PROM',1,0,'C'); $pdf->Cell(10,5,'FALTA',1,0,'C'); $pdf->Cell(10,5,'',1,0,'C'); $pdf->Cell(10,5,'',1,0,'C'); $pdf->Cell(10,5,'',1,0,'C'); $pdf->Cell(10,5,'',1,0,'C'); $pdf->Cell(10,5,'',1,0,'C'); $pdf->Cell(10,5,'',1,0,'C'); $pdf->Cell(10,5,'',1,0,'C'); $pdf->Cell(10,5,'',1,1,'C');
		$pdf->SetFont($tipoletra,'',$tamañoletra);
		for ($i=0;$i<$contador;$i++) {
			$nombreestudiante=$estudiantesdesordenados[$i][0];			
			$nuid=$estudiantesdesordenados[$i][1];
			$pdf->Cell(10,$tamañoletra-4,$i+1,1,0,'C');
			$pdf->Cell(70,$tamañoletra-4,$nombreestudiante,1,0,'L');
			if ($tipoplanillaparanotas=="2" or $tipoplanillaparanotas=="4"){
				include("../php/conexion-bdie.php");
                                $totalnotas=0;$notafaltante=number_format(0,1);
				$definitiva='';$totaldefinitiva=0;$recuperacion='';$totalpromedio=number_format(0,1);
				$regnotas=mysql_query("Select * From datos_notastipo2 Where idasignatura='$idasignatura' And nuid='$nuid'",$db_basededatosie);
				while($FilaNotas=mysql_fetch_array($regnotas)){
					$n1=$FilaNotas["n1"];$n2=$FilaNotas["n2"];$n3=$FilaNotas["n3"];$n4=$FilaNotas["n4"];$n5=$FilaNotas["n5"];$n6=$FilaNotas["n6"];$n7=$FilaNotas["n7"];
					$sumanotas=0;$promedio=0;$k=0;$definitiva=number_format(0,1);
					if ($n1>0){ $sumanotas=$sumanotas+$n1; $k=$k+1; }
					if ($n2>0){ $sumanotas=$sumanotas+$n2; $k=$k+1; }
					if ($n3>0){ $sumanotas=$sumanotas+$n3; $k=$k+1; }
					if ($n4>0){ $sumanotas=$sumanotas+$n4; $k=$k+1; }
					if ($n5>0){ $sumanotas=$sumanotas+$n5; $k=$k+1; }
					if ($n6>0){ $sumanotas=$sumanotas+$n6; $k=$k+1; }
					if ($n7>0){ $sumanotas=$sumanotas+$n7; $k=$k+1; }
					if ($sumanotas) $promedio= $sumanotas/$k;				
					$n8=$FilaNotas["n8"];$n9=$FilaNotas["n9"];$n10=$FilaNotas["n10"];
					if (substr($grupo,15,2)=="00"){
						$definitiva=number_format($promedio,1);
					}
					else{
						if ($FilaNotas["periodo"]=="1"){
							$definitiva=round($promedio*.8,1)+round($n8*.05,1)+round($n9*.05,1)+round($n10*.1,1);
							if ($definitiva>5)
								$definitiva=number_format(5.0,1);
						}
						else
							$definitiva=round($promedio*.8,2)+round($n8*.05,2)+round($n9*.05,2)+round($n10*.1,2);
					}
					if ($FilaNotas["periodo"]=="1")
						$linea[1]=number_format($definitiva,1);
					if ($FilaNotas["periodo"]=="2")
						$linea[2]=number_format($definitiva,1);				
					if ($FilaNotas["periodo"]=="3")
						$linea[3]=number_format($definitiva,1);				
					$totalnotas=$totalnotas+number_format($definitiva,1);
				}
				if ($totalnotas){
					$totalpromedio=number_format($totalnotas/$periodo,1);
					$notafaltante=number_format(12-$totalnotas,1);
				}
			}
			$pdf->Cell(10,$tamañoletra-4,$totalpromedio,1,0,'C');
			$pdf->Cell(10,$tamañoletra-4,$notafaltante,1,0,'C');
			$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(10,$tamañoletra-4,'',1,0,'C');
			$pdf->Cell(10,$tamañoletra-4,'',1,1,'C');
		}
	}
}
else
	$pdf->Cell(100,4,'MENSAJE: No hay estudiantes matriculados',1,1,'C');

$pdf->Output();
?>